summaryrefslogtreecommitdiff
path: root/tests/stty/row-col-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/stty/row-col-1')
-rwxr-xr-xtests/stty/row-col-17
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/stty/row-col-1 b/tests/stty/row-col-1
index c4be661d2..f4a2374d5 100755
--- a/tests/stty/row-col-1
+++ b/tests/stty/row-col-1
@@ -6,6 +6,13 @@ if test "$VERBOSE" = yes; then
stty --version
fi
+tty -s || have_input_tty=no
+if test "$have_input_tty" = no; then
+ echo "$0: This test must have a controlling input \`terminal'," 1>&2
+ echo "so it may not be run via rsh" 1>&2
+ exit 77
+fi
+
# Versions of GNU stty from shellutils-1.9.2c and earlier failed
# tests #2 and #4 when run on SunOS 4.1.3.